## org.hibernate.exception
Interface ViolatedConstraintNameExtracter

All Known Implementing Classes:
  TemplatedViolatedConstraintNameExtracter

    public interface ViolatedConstraintNameExtracter

Defines a contract for implementations that can extract the name of a violated constraint from a SQLException that is the result of that constraint violation.

Author:
  Steve Ebersole

Method Summary
`String` `extractConstraintName(SQLException sqle)` Extract the name of the violated constraint from the given SQLException.

Method Detail

### extractConstraintName

    String extractConstraintName(SQLException sqle)

  Extract the name of the violated constraint from the given SQLException.

  Parameters:
    `sqle` - The exception that was the result of the constraint violation.
  Returns:
    The extracted constraint name.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.